Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`interfaces`.`IConchUser``

interface documentation

`class IConchUser(Interface): (source)`

Known implementations: `twisted.conch.avatar.ConchUser`

View In Hierarchy

A user who has been authenticated to Cred through Conch. This is the interface between the SSH connection and the user.

Method | `gotGlobalRequest` | A global request was sent from the other side.
Method | `lookupChannel` | The other side requested a channel of some sort.
Method | `lookupSubsystem` | The other side requested a subsystem.
Attribute | `conn` | The SSHConnection object for this user.

def gotGlobalRequest(requestType, data): (source)

A global request was sent from the other side.

We return a true value on success or a false value on failure. If we indicate success by returning a tuple, its second item will be sent to the other side as additional response data.

Parameters
requestType:`bytes` | The type of the request
data:`bytes` | Additional request data
Returns
boolean or `tuple` | Undocumented

def lookupChannel(channelType, windowSize, maxPacket, data): (source)

The other side requested a channel of some sort.

`channelType` is the type of channel being requested, as an ssh connection protocol channel type. `data` is any other packet data (often nothing).

We return a subclass of `SSHChannel`. If the channel type is unknown, we return `None`.

For other failures, we raise an exception. If a `ConchError` is raised, the `.value` will be the message, and the `.data` will be the error code.

Parameters
channelType:`bytes` | The requested channel type
windowSize:`int` | The initial size of the remote window
maxPacket:`int` | The largest packet we should send
data:`bytes` | Additional request data
Returns
a subclass of `SSHChannel` or `None` | Undocumented

def lookupSubsystem(subsystem, data): (source)

The other side requested a subsystem.

We return a `Protocol` implementing the requested subsystem. If the subsystem is not available, we return `None`.

Parameters
subsystem:`bytes` | The name of the subsystem being requested
data:`bytes` | Additional request data (often nothing)
Returns
`Protocol` or `None` | Undocumented

conn = (source)

The SSHConnection object for this user.